Package groovy.json.internal

# Class Dates

java.lang.Object
groovy.json.internal.Dates

public class Dates extends Object

Author:
  Rick Hightower

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`JSON_TIME_LENGTH`

## Constructor Summary

Constructors
Constructor
Description
`Dates()`

## Method Summary

Modifier and Type
Method
Description
`static Date`
`fromISO8601(char[] charArray, int from, int to)`
`static Date`
`fromJsonDate(char[] charArray, int from, int to)`
`static boolean`
`isISO8601(char[] charArray, int start, int to)`
`static boolean`
`isISO8601QuickCheck(char[] charArray, int start, int to)`
`static boolean`
`isJsonDate(char[] charArray, int start, int to)`
`static Date`
`toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second)`
`static Date`
`toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second, int miliseconds)`
`static long`
`utc(long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JSON_TIME_LENGTH

public static final int JSON_TIME_LENGTH

## Constructor Details

### Dates

public Dates()

## Method Details

### utc

public static long utc(long time)

### toDate

public static Date toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second)

### toDate

public static Date toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second, int miliseconds)

### fromISO8601

public static Date fromISO8601(char[] charArray, int from, int to)

### fromJsonDate

public static Date fromJsonDate(char[] charArray, int from, int to)

### isISO8601

public static boolean isISO8601(char[] charArray, int start, int to)

### isISO8601QuickCheck

public static boolean isISO8601QuickCheck(char[] charArray, int start, int to)

### isJsonDate

public static boolean isJsonDate(char[] charArray, int start, int to)